For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
          • Tax Classes
              • GETList Tax Zones
              • POSTCreate Tax Zones
              • PUTUpdate Tax Zones
              • DELDelete Tax Zones
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementTaxTax Zones

Create Tax Zones

POST
https://api.bigcommerce.com/stores/:store_hash/v3/tax/zones
POST
/stores/:store_hash/v3/tax/zones
$curl -X POST https://api.bigcommerce.com/stores/store_hash/v3/tax/zones \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '[
> {
> "name": "Pacific Northwest Zone",
> "enabled": true,
> "price_display_settings": {
> "show_inclusive": false,
> "show_both_on_detail_view": true,
> "show_both_on_list_view": false
> },
> "shopper_target_settings": {
> "locations": [
> {
> "country_code": "US",
> "subdivision_codes": [
> "WA",
> "OR"
> ],
> "postal_codes": [
> "98001",
> "97201"
> ]
> },
> {
> "country_code": "CA",
> "subdivision_codes": [
> "BC"
> ],
> "postal_codes": [
> "V5K",
> "V6B"
> ]
> }
> ],
> "customer_groups": [
> 1,
> 3
> ]
> }
> }
>]'
200Example 1
1{
2 "data": [
3 {
4 "id": 15,
5 "name": "Pacific Northwest Zone",
6 "enabled": true,
7 "price_display_settings": {
8 "show_inclusive": false,
9 "show_both_on_detail_view": true,
10 "show_both_on_list_view": false
11 },
12 "shopper_target_settings": {
13 "locations": [
14 {
15 "country_code": "US",
16 "subdivision_codes": [
17 "WA",
18 "OR"
19 ],
20 "postal_codes": [
21 "98001",
22 "97201"
23 ]
24 },
25 {
26 "country_code": "CA",
27 "subdivision_codes": [
28 "BC"
29 ],
30 "postal_codes": [
31 "V5K",
32 "V6B"
33 ]
34 }
35 ],
36 "customer_groups": [
37 1,
38 3
39 ]
40 }
41 }
42 ],
43 "meta": {}
44}

Create one or more tax zones.

Note

You cannot create a default tax zone.

Was this page helpful?
Previous

List Tax Zones

Next

Update Tax Zones

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Information & Settings | modify | `store_v2_information` | | Information & Settings | read-only | `store_v2_information_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Request

This endpoint expects a list of objects.
namestringRequired

The human-readable name for this tax zone. The name appears in the store control panel.

enabledbooleanOptionalDefaults to true
Indicates whether a tax zone is enabled. Tax operations are only for enabled zones.
price_display_settingsobjectOptional
Settings that describe how a store displays prices to shoppers matched with this tax zone.
shopper_target_settingsobjectOptional
Settings that describe which shoppers match this tax zone and help determine the most appropriate target for a shopper.

Response

OK
datalist of objects
metaobject
Response metadata.

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.